﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace ReadOnlyTemplate
{
    public class LengthConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var length = (Length)value;
            return length.Value + " " + length.Unit;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
