﻿using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Data.PropertyGrid;

namespace ReadOnlyTemplate
{
    public class MyEditorTemplateSelector : DataTemplateSelector
    {
        public DataTemplate LengthTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var pd = item as PropertyDefinition;
            if (pd.DisplayName == "Length")
            {
                return this.LengthTemplate;
            }

            return base.SelectTemplate(item, container);
        }
    }
}
