﻿using System.ComponentModel;
using Telerik.Windows.Controls;

namespace ReadOnlyTemplate
{
    public class Item : ViewModelBase
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; this.OnPropertyChanged("Name"); }
        }

        private Length length;

        [ReadOnly(true)]
        public Length Length
        {
            get { return length; }
            set { length = value; this.OnPropertyChanged("Length"); }
        }
    }
}
