﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace ReadOnlyTemplate
{
    public class MyViewModel : ViewModelBase
    {
        private ObservableCollection<Item> items;

        public ObservableCollection<Item> Items
        {
            get
            {
                if (this.items == null)
                {
                    this.items = new ObservableCollection<Item>()
                    {
                        new Item() { Name = "Item 1", Length = new Length() { Value = 2, Unit = "Meters" } }
                    };
                }

                return this.items;
            }
        }

    }
}
